Buf(1)

NAME

buf-completion - Generate auto-completion scripts for commonly used shells

SYNOPSIS

buf completion [flags]

DESCRIPTION

Generate auto-completion scripts for commonly used shells

OPTIONS

-h, --help[=false]
    help for completion

--help-tree[=false]
    Print the entire sub-command tree

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

-v, --verbose[=false]
    Turn on verbose mode

SEE ALSO

buf(1), buf-completion-bash(1), buf-completion-fish(1), buf-completion-powershell(1), buf-completion-zsh(1)

HISTORY

2024-09-18 Auto generated by spf13/cobra